petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMForestGetAdaptivitySF

Get PetscSFs that relate the pre-adaptation forest to the post-adaptation forest. Adaptation can be any combination of refinement, coarsening, repartition, and change of overlap, so there may be some cells of the pre-adaptation that are parents of post-adaptation cells, and vice versa. Therefore there are two PetscSFs: one that relates pre-adaptation coarse cells to post-adaptation fine cells, and one that relates pre-adaptation fine cells to post-adaptation coarse cells.

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetAdaptivitySF(DM dm, PetscSF *preCoarseToFine, PetscSF *coarseToPreFine)

Not collective

### Input Parameter

dm - the post-adaptation forest

### Output Parameter

preCoarseToFine - pre-adaptation coarse cells to post-adaptation fine cells: BCast goes from pre- to post- coarseToPreFine - post-adaptation coarse cells to pre-adaptation fine cells: BCast goes from post- to pre-

### See Also

DMForestGetComputeAdaptivitySF(), DMForestSetComputeAdaptivitySF()

### Level

advanced

### Location

src/dm/impls/forest/forest.c
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages